function aerobisen_tulokset(ika, sukupuoli, minuutit, sekunnit, tyyppi)
{
	var paluuArvo = 0;

	var aika = (minuutit*60)+sekunnit;

	console.log("aika: "+aika)

	if(tyyppi == "Harrasteratsastajan 1,5 km:n juoksutesti")
	{
		if(sukupuoli == "nainen")
		{
			if(ika <= 14)
			{
				if(aika > (13*60)+8)
				{
					paluuArvo = 1;
				}

				else if(aika <= (13*60)+8 && aika >= (12*60)+24)
				{
					paluuArvo = 2;
				}

				else if(aika <= (12*60)+23 && aika >= (10*60)+36)
				{
					paluuArvo = 3;
				}

				else if(aika <=(10*60)+35 && aika >= (10*60)+8)
				{
					paluuArvo = 4;
				}

				else if(aika < (10*60)+8)
				{
					paluuArvo = 5;
				}
			}


			else if(ika == 15 || ika == 16)
			{
				if(aika > (12*60)+22)
				{
					paluuArvo = 1;
				}

				else if(aika <= (12*60)+22 && aika >= (11*60)+43)
				{
					paluuArvo = 2;
				}

				else if(aika <= (11*60)+42 && aika >= (10*60)+9)
				{
					paluuArvo = 3;
				}

				else if(aika <=(10*60)+8 && aika >= (9*60)+40)
				{
					paluuArvo = 4;
				}

				else if(aika < (9*60)+40)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 17 && ika <= 20)
			{
				if(aika > (11*60)+42)
				{
					paluuArvo = 1;
				}

				else if(aika <= (11*60)+42 && aika >= (11*60)+9)
				{
					paluuArvo = 2;
				}

				else if(aika <= (11*60)+8 && aika >= (9*60)+42)
				{
					paluuArvo = 3;
				}

				else if(aika <=(9*60)+41 && aika >= (8*60)+57)
				{
					paluuArvo = 4;
				}

				else if(aika < (8*60)+57)
				{
					paluuArvo = 5;
				}
			}

			else if(ika > 20 && ika < 30)
			{
				if(aika > (13*60)+8)
				{
					paluuArvo = 1;
				}

				else if(aika <= (13*60)+8 && aika >= (11*60)+9)
				{
					paluuArvo = 2;
				}

				else if(aika <= (11*60)+8 && aika >= (9*60)+20)
				{
					paluuArvo = 3;
				}

				else if(aika <=(9*60)+19 && aika >= (7*60)+52)
				{
					paluuArvo = 4;
				}

				else if(aika < (7*60)+52)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 30 && ika <= 39)
			{
				if(aika > (13*60)+58)
				{
					paluuArvo = 1;
				}

				else if(aika <= (13*60)+58 && aika >= (11*60)+42)
				{
					paluuArvo = 2;
				}

				else if(aika <= (11*60)+41 && aika >= (10*60)+8)
				{
					paluuArvo = 3;
				}

				else if(aika <=(10*60)+7 && aika >= (8*60)+19)
				{
					paluuArvo = 4;
				}

				else if(aika < (8*60)+19)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 40 && ika < 50)
			{
				if(aika > (16*60)+8)
				{
					paluuArvo = 1;
				}

				else if(aika <= (16*60)+8 && aika >= (13*60)+8)
				{
					paluuArvo = 2;
				}

				else if(aika <= (13*60)+7 && aika >= (10*60)+49)
				{
					paluuArvo = 3;
				}

				else if(aika <=(10*60)+48 && aika >= (9*60)+12)
				{
					paluuArvo = 4;
				}

				else if(aika < (9*60)+12)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 50)
			{
				if(aika > (17*60)+28)
				{
					paluuArvo = 1;
				}

				else if(aika <= (17*60)+28 && aika >= (13*60)+58)
				{
					paluuArvo = 2;
				}

				else if(aika <= (13*60)+57 && aika >= (11*60)+43)
				{
					paluuArvo = 3;
				}

				else if(aika <=(11*60)+42 && aika >= (9*60)+18)
				{
					paluuArvo = 4;
				}

				else if(aika < (9*60)+18)
				{
					paluuArvo = 5;
				}
			}
		}


		else if(sukupuoli == "mies")
		{
			if(ika <= 14)
			{
				if(aika > (9*60)+40)
				{
					paluuArvo = 1;
				}

				else if(aika <= (9*60)+40 && aika >= (9*60)+20)
				{
					paluuArvo = 2;
				}

				else if(aika <= (9*60)+19 && aika >= (8*60)+40)
				{
					paluuArvo = 3;
				}

				else if(aika <=(8*60)+39 && aika >= (7*60)+52)
				{
					paluuArvo = 4;
				}

				else if(aika < (7*60)+52)
				{
					paluuArvo = 5;
				}
			}


			else if(ika == 15 || ika == 16)
			{
				if(aika > (9*60)+18)
				{
					paluuArvo = 1;
				}

				else if(aika <= (9*60)+18 && aika >= (8*60)+58)
				{
					paluuArvo = 2;
				}

				else if(aika <= (8*60)+57 && aika >= (8*60)+21)
				{
					paluuArvo = 3;
				}

				else if(aika <=(8*60)+20 && aika >= (7*60)+33)
				{
					paluuArvo = 4;
				}

				else if(aika < (7*60)+33)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 17 && ika <= 20)
			{
				if(aika > (8*60)+57)
				{
					paluuArvo = 1;
				}

				else if(aika <= (8*60)+57 && aika >= (8*60)+21)
				{
					paluuArvo = 2;
				}

				else if(aika <= (8*60)+20 && aika >= (7*60)+53)
				{
					paluuArvo = 3;
				}

				else if(aika <=(7*60)+52 && aika >= (7*60)+8)
				{
					paluuArvo = 4;
				}

				else if(aika < (7*60)+8)
				{
					paluuArvo = 5;
				}
			}

			else if(ika > 20 && ika < 30)
			{
				if(aika > (12*60)+22)
				{
					paluuArvo = 1;
				}

				else if(aika <= (12*60)+22 && aika >= (10*60)+8)
				{
					paluuArvo = 2;
				}

				else if(aika <= (10*60)+7 && aika >= (8*60)+57)
				{
					paluuArvo = 3;
				}

				else if(aika <=(8*60)+38 && aika >= (7*60)+33)
				{
					paluuArvo = 4;
				}

				else if(aika < (7*60)+33)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 30 && ika <= 39)
			{
				if(aika > (13*60)+8)
				{
					paluuArvo = 1;
				}

				else if(aika <= (13*60)+8 && aika >= (10*60)+34)
				{
					paluuArvo = 2;
				}

				else if(aika <= (10*60)+33 && aika >= (8*60)+57)
				{
					paluuArvo = 3;
				}

				else if(aika <=(8*60)+56 && aika >= (7*60)+52)
				{
					paluuArvo = 4;
				}

				else if(aika < (7*60)+52)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 40 && ika < 50)
			{
				if(aika > (13*60)+58)
				{
					paluuArvo = 1;
				}

				else if(aika <= (13*60)+58 && aika >= (11*60)+42)
				{
					paluuArvo = 2;
				}

				else if(aika <= (11*60)+42 && aika >= (9*60)+40)
				{
					paluuArvo = 3;
				}

				else if(aika <=(9*60)+39 && aika >= (8*60)+19)
				{
					paluuArvo = 4;
				}

				else if(aika < (8*60)+19)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 50)
			{
				if(aika > (14*60)+57)
				{
					paluuArvo = 1;
				}

				else if(aika <= (14*60)+57 && aika >= (12*60)+22)
				{
					paluuArvo = 2;
				}

				else if(aika <= (12*60)+21 && aika >= (10*60)+8)
				{
					paluuArvo = 3;
				}

				else if(aika <=(10*60)+7 && aika >= (8*60)+39)
				{
					paluuArvo = 4;
				}

				else if(aika < (8*60)+39)
				{
					paluuArvo = 5;
				}
			}
		}
	}



	else if(tyyppi == "Kouluratsastajan 2 km:n juoksutesti" || tyyppi == "Esteratsastajan 2 km:n juoksutesti")
	{
		if(sukupuoli == "nainen")
		{
			if(ika <= 14)
			{
				if(aika > (17*60)+30)
				{
					paluuArvo = 1;
				}

				else if(aika <= (17*60)+30 && aika >= (16*60)+31)
				{
					paluuArvo = 2;
				}

				else if(aika <= (16*60)+30 && aika >= (14*60)+9)
				{
					paluuArvo = 3;
				}

				else if(aika <=(14*60)+8 && aika >= (13*60)+30)
				{
					paluuArvo = 4;
				}

				else if(aika < (13*60)+30)
				{
					paluuArvo = 5;
				}
			}


			else if(ika == 15 || ika == 16)
			{
				if(aika > (16*60)+30)
				{
					paluuArvo = 1;
				}

				else if(aika <= (16*60)+30 && aika >= (15*60)+38)
				{
					paluuArvo = 2;
				}

				else if(aika <= (15*60)+37 && aika >= (13*60)+31)
				{
					paluuArvo = 3;
				}

				else if(aika <=(13*60)+30 && aika >= (12*60)+54)
				{
					paluuArvo = 4;
				}

				else if(aika < (12*60)+54)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 17 && ika <= 20)
			{
				if(aika > (15*60)+36)
				{
					paluuArvo = 1;
				}

				else if(aika <= (15*60)+36 && aika >= (14*60)+51)
				{
					paluuArvo = 2;
				}

				else if(aika <= (14*60)+50 && aika >= (12*60)+55)
				{
					paluuArvo = 3;
				}

				else if(aika <=(12*60)+54 && aika >= (11*60)+56)
				{
					paluuArvo = 4;
				}

				else if(aika < (11*60)+56)
				{
					paluuArvo = 5;
				}
			}

			else if(ika > 20 && ika < 30)
			{
				if(aika > (17*60)+30)
				{
					paluuArvo = 1;
				}

				else if(aika <= (17*60)+30 && aika >= (14*60)+51)
				{
					paluuArvo = 2;
				}

				else if(aika <= (14*60)+50 && aika >= (12*60)+26)
				{
					paluuArvo = 3;
				}

				else if(aika <=(12*60)+25 && aika >= (10*60)+22)
				{
					paluuArvo = 4;
				}

				else if(aika < (10*60)+22)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 30 && ika <= 39)
			{
				if(aika > (18*60)+38)
				{
					paluuArvo = 1;
				}

				else if(aika <= (18*60)+38 && aika >= (15*60)+33)
				{
					paluuArvo = 2;
				}

				else if(aika <= (15*60)+32 && aika >= (13*60)+29)
				{
					paluuArvo = 3;
				}

				else if(aika <=(13*60)+29 && aika >= (11*60)+6)
				{
					paluuArvo = 4;
				}

				else if(aika < (11*60)+6)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 40 && ika < 50)
			{
				if(aika > (21*60)+30)
				{
					paluuArvo = 1;
				}

				else if(aika <= (21*60)+30 && aika >= (17*60)+29)
				{
					paluuArvo = 2;
				}

				else if(aika <= (17*60)+28 && aika >= (14*60)+25)
				{
					paluuArvo = 3;
				}

				else if(aika <=(14*60)+24 && aika >= (12*60)+16)
				{
					paluuArvo = 4;
				}

				else if(aika < (12*60)+16)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 50)
			{
				if(aika > (23*60)+18)
				{
					paluuArvo = 1;
				}

				else if(aika <= (23*60)+18 && aika >= (18*60)+37)
				{
					paluuArvo = 2;
				}

				else if(aika <= (18*60)+36 && aika >= (15*60)+35)
				{
					paluuArvo = 3;
				}

				else if(aika <=(15*60)+35 && aika >= (12*60)+24)
				{
					paluuArvo = 4;
				}

				else if(aika < (12*60)+24)
				{
					paluuArvo = 5;
				}
			}
		}


		else if(sukupuoli == "mies")
		{
			if(ika <= 14)
			{
				if(aika > (12*60)+54)
				{
					paluuArvo = 1;
				}

				else if(aika <= (12*60)+54 && aika >= (12*60)+25)
				{
					paluuArvo = 2;
				}

				else if(aika <= (12*60)+24 && aika >= (11*60)+31)
				{
					paluuArvo = 3;
				}

				else if(aika <=(11*60)+30 && aika >= (10*60)+22)
				{
					paluuArvo = 4;
				}

				else if(aika < (10*60)+22)
				{
					paluuArvo = 5;
				}
			}


			else if(ika == 15 || ika == 16)
			{
				if(aika > (12*60)+24)
				{
					paluuArvo = 1;
				}

				else if(aika <= (12*60)+24 && aika >= (11*60)+57)
				{
					paluuArvo = 2;
				}

				else if(aika <= (11*60)+56 && aika >= (11*60)+7)
				{
					paluuArvo = 3;
				}

				else if(aika <=(11*60)+6 && aika >= (10*60)+4)
				{
					paluuArvo = 4;
				}

				else if(aika < (10*60)+4)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 17 && ika <= 20)
			{
				if(aika > (11*60)+56)
				{
					paluuArvo = 1;
				}

				else if(aika <= (11*60)+56 && aika >= (11*60)+7)
				{
					paluuArvo = 2;
				}

				else if(aika <= (11*60)+6 && aika >= (10*60)+23)
				{
					paluuArvo = 3;
				}

				else if(aika <=(10*60)+22 && aika >= (9*60)+30)
				{
					paluuArvo = 4;
				}

				else if(aika < (9*60)+30)
				{
					paluuArvo = 5;
				}
			}

			else if(ika > 20 && ika < 30)
			{
				if(aika > (17*60)+30)
				{
					paluuArvo = 1;
				}

				else if(aika <= (17*60)+30 && aika >= (14*60)+51)
				{
					paluuArvo = 2;
				}

				else if(aika <= (14*60)+50 && aika >= (12*60)+26)
				{
					paluuArvo = 3;
				}

				else if(aika <=(12*60)+25 && aika >= (10*60)+22)
				{
					paluuArvo = 4;
				}

				else if(aika < (10*60)+22)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 30 && ika <= 39)
			{
				if(aika > (18*60)+38)
				{
					paluuArvo = 1;
				}

				else if(aika <= (18*60)+38 && aika >= (15*60)+33)
				{
					paluuArvo = 2;
				}

				else if(aika <= (15*60)+32 && aika >= (13*60)+29)
				{
					paluuArvo = 3;
				}

				else if(aika <=(13*60)+29 && aika >= (11*60)+6)
				{
					paluuArvo = 4;
				}

				else if(aika < (11*60)+6)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 40 && ika < 50)
			{
				if(aika > (21*60)+30)
				{
					paluuArvo = 1;
				}

				else if(aika <= (21*60)+30 && aika >= (17*60)+29)
				{
					paluuArvo = 2;
				}

				else if(aika <= (17*60)+28 && aika >= (14*60)+25)
				{
					paluuArvo = 3;
				}

				else if(aika <=(14*60)+24 && aika >= (12*60)+16)
				{
					paluuArvo = 4;
				}

				else if(aika < (12*60)+16)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 50)
			{
				if(aika > (19*60)+56)
				{
					paluuArvo = 1;
				}

				else if(aika <= (19*60)+56 && aika >= (16*60)+39)
				{
					paluuArvo = 2;
				}

				else if(aika <= (16*60)+38 && aika >= (13*60)+39)
				{
					paluuArvo = 3;
				}

				else if(aika <=(13*60)+38 && aika >= (11*60)+30)
				{
					paluuArvo = 4;
				}

				else if(aika < (11*60)+30)
				{
					paluuArvo = 5;
				}
			}
		}
	}


	else if(tyyppi == "Kenttäratsastajan 3 km:n juoksutesti")
	{
		if(sukupuoli == "nainen")
		{
			if(ika <= 14)
			{
				if(aika > (26*60)+15)
				{
					paluuArvo = 1;
				}

				else if(aika <= (26*60)+15 && aika >= (24*60)+46)
				{
					paluuArvo = 2;
				}

				else if(aika <= (24*60)+45 && aika >= (21*60)+13)
				{
					paluuArvo = 3;
				}

				else if(aika <=(21*60)+12 && aika >= (20*60)+15)
				{
					paluuArvo = 4;
				}

				else if(aika < (20*60)+15)
				{
					paluuArvo = 5;
				}
			}


			else if(ika == 15 || ika == 16)
			{
				if(aika > (24*60)+45)
				{
					paluuArvo = 1;
				}

				else if(aika <= (24*60)+45 && aika >= (23*60)+26)
				{
					paluuArvo = 2;
				}

				else if(aika <= (23*60)+25 && aika >= (20*60)+16)
				{
					paluuArvo = 3;
				}

				else if(aika <=(20*60)+15 && aika >= (19*60)+21)
				{
					paluuArvo = 4;
				}

				else if(aika < (19*60)+21)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 17 && ika <= 20)
			{
				if(aika > (23*60)+24)
				{
					paluuArvo = 1;
				}

				else if(aika <= (23*60)+24 && aika >= (22*60)+16)
				{
					paluuArvo = 2;
				}

				else if(aika <= (22*60)+15 && aika >= (19*60)+12)
				{
					paluuArvo = 3;
				}

				else if(aika <=(19*60)+11 && aika >= (17*60)+54)
				{
					paluuArvo = 4;
				}

				else if(aika < (17*60)+54)
				{
					paluuArvo = 5;
				}
			}

			else if(ika > 20 && ika < 30)
			{
				if(aika > (26*60)+15)
				{
					paluuArvo = 1;
				}

				else if(aika <= (26*60)+15 && aika >= (22*60)+16)
				{
					paluuArvo = 2;
				}

				else if(aika <= (22*60)+15 && aika >= (18*60)+38)
				{
					paluuArvo = 3;
				}

				else if(aika <=(18*60)+37 && aika >= (15*60)+33)
				{
					paluuArvo = 4;
				}

				else if(aika < (15*60)+33)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 30 && ika <= 39)
			{
				if(aika > (27*60)+57)
				{
					paluuArvo = 1;
				}

				else if(aika <= (27*60)+57 && aika >= (23*60)+21)
				{
					paluuArvo = 2;
				}

				else if(aika <= (23*60)+20 && aika >= (20*60)+14)
				{
					paluuArvo = 3;
				}

				else if(aika <=(20*60)+13 && aika >= (16*60)+39)
				{
					paluuArvo = 4;
				}

				else if(aika < (16*60)+39)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 40 && ika < 50)
			{
				if(aika > (32*60)+15)
				{
					paluuArvo = 1;
				}

				else if(aika <= (32*60)+15 && aika >= (26*60)+14)
				{
					paluuArvo = 2;
				}

				else if(aika <= (26*60)+13 && aika >= (21*60)+38)
				{
					paluuArvo = 3;
				}

				else if(aika <=(21*60)+37 && aika >= (18*60)+24)
				{
					paluuArvo = 4;
				}

				else if(aika < (18*60)+24)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 50)
			{
				if(aika > (34*60)+57)
				{
					paluuArvo = 1;
				}

				else if(aika <= (34*60)+57 && aika >= (27*60)+56)
				{
					paluuArvo = 2;
				}

				else if(aika <= (27*60)+55 && aika >= (23*60)+23)
				{
					paluuArvo = 3;
				}

				else if(aika <=(23*60)+22 && aika >= (18*60)+36)
				{
					paluuArvo = 4;
				}

				else if(aika < (18*60)+36)
				{
					paluuArvo = 5;
				}
			}
		}


		else if(sukupuoli == "mies")
		{
			if(ika <= 14)
			{
				if(aika > (19*60)+21)
				{
					paluuArvo = 1;
				}

				else if(aika <= (19*60)+21 && aika >= (18*60)+37)
				{
					paluuArvo = 2;
				}

				else if(aika <= (18*60)+36 && aika >= (17*60)+16)
				{
					paluuArvo = 3;
				}

				else if(aika <=(17*60)+15 && aika >= (15*60)+33)
				{
					paluuArvo = 4;
				}

				else if(aika < (15*60)+33)
				{
					paluuArvo = 5;
				}
			}


			else if(ika == 15 || ika == 16)
			{
				if(aika > (18*60)+36)
				{
					paluuArvo = 1;
				}

				else if(aika <= (18*60)+36 && aika >= (17*60)+56)
				{
					paluuArvo = 2;
				}

				else if(aika <= (17*60)+55 && aika >= (16*60)+41)
				{
					paluuArvo = 3;
				}

				else if(aika <=(16*60)+40 && aika >= (15*60)+6)
				{
					paluuArvo = 4;
				}

				else if(aika < (15*60)+6)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 17 && ika <= 20)
			{
				if(aika > (17*60)+54)
				{
					paluuArvo = 1;
				}

				else if(aika <= (17*60)+54 && aika >= (16*60)+41)
				{
					paluuArvo = 2;
				}

				else if(aika <= (16*60)+4 && aika >= (15*60)+35)
				{
					paluuArvo = 3;
				}

				else if(aika <=(15*60)+34 && aika >= (14*60)+15)
				{
					paluuArvo = 4;
				}

				else if(aika < (14*60)+15)
				{
					paluuArvo = 5;
				}
			}

			else if(ika > 20 && ika < 30)
			{
				if(aika > (24*60)+45)
				{
					paluuArvo = 1;
				}

				else if(aika <= (24*60)+45 && aika >= (20*60)+14)
				{
					paluuArvo = 2;
				}

				else if(aika <= (20*60)+14 && aika >= (17*60)+15)
				{
					paluuArvo = 3;
				}

				else if(aika <=(17*60)+14 && aika >= (15*60)+6)
				{
					paluuArvo = 4;
				}

				else if(aika < (15*60)+6)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 30 && ika <= 39)
			{
				if(aika > (26*60)+15)
				{
					paluuArvo = 1;
				}

				else if(aika <= (26*60)+15 && aika >= (21*60)+8)
				{
					paluuArvo = 2;
				}

				else if(aika <= (21*60)+7 && aika >= (17*60)+53)
				{
					paluuArvo = 3;
				}

				else if(aika <=(17*60)+52 && aika >= (15*60)+33)
				{
					paluuArvo = 4;
				}

				else if(aika < (15*60)+33)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 40 && ika < 50)
			{
				if(aika > (27*60)+57)
				{
					paluuArvo = 1;
				}

				else if(aika <= (27*60)+57 && aika >= (23*60)+23)
				{
					paluuArvo = 2;
				}

				else if(aika <= (23*60)+22 && aika >= (19*60)+11)
				{
					paluuArvo = 3;
				}

				else if(aika <=(19*60)+10 && aika >= (16*60)+39)
				{
					paluuArvo = 4;
				}

				else if(aika < (16*60)+39)
				{
					paluuArvo = 5;
				}
			}

			else if(ika >= 50)
			{
				if(aika > (29*60)+54)
				{
					paluuArvo = 1;
				}

				else if(aika <= (29*60)+54 && aika >= (24*60)+54)
				{
					paluuArvo = 2;
				}

				else if(aika <= (24*60)+53 && aika >= (20*60)+24)
				{
					paluuArvo = 3;
				}

				else if(aika <=(20*60)+23 && aika >= (17*60)+15)
				{
					paluuArvo = 4;
				}

				else if(aika < (17*60)+15)
				{
					paluuArvo = 5;
				}
			}
		}
	}



	return paluuArvo;
}





function voimaJaTasapainoTulos(ika, sukupuoli, toistot)
{
	var paluuArvo = 0;

	if(sukupuoli == "nainen")
	{
		if(ika <= 19)
		{
			if(toistot >= 11)
			{
				paluuArvo = 1;
			}

			else if(toistot >= 8)
			{
				paluuArvo = 2;
			}

			else if(toistot >= 5)
			{
				paluuArvo = 3;
			}

			else if(toistot >= 3)
			{
				paluuArvo = 4;
			}

			else if(toistot < 3)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 20 && ika <= 30)
		{
			if(toistot >= 12)
			{
				paluuArvo = 1;
			}

			else if(toistot >= 9)
			{
				paluuArvo = 2;
			}

			else if(toistot >= 6)
			{
				paluuArvo = 3;
			}

			else if(toistot >= 3)
			{
				paluuArvo = 4;
			}

			else if(toistot < 3)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 31 && ika <= 40)
		{
			if(toistot >= 14)
			{
				paluuArvo = 1;
			}

			else if(toistot >= 10)
			{
				paluuArvo = 2;
			}

			else if(toistot >= 6)
			{
				paluuArvo = 3;
			}

			else if(toistot >= 3)
			{
				paluuArvo = 4;
			}

			else if(toistot < 3)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 41 && ika <= 50)
		{
			if(toistot >= 16)
			{
				paluuArvo = 1;
			}

			else if(toistot >= 12)
			{
				paluuArvo = 2;
			}

			else if(toistot >= 7)
			{
				paluuArvo = 3;
			}

			else if(toistot >= 3)
			{
				paluuArvo = 4;
			}

			else if(toistot < 3)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 50)
		{
			if(toistot >= 20)
			{
				paluuArvo = 1;
			}

			else if(toistot >= 13)
			{
				paluuArvo = 2;
			}

			else if(toistot >= 8)
			{
				paluuArvo = 3;
			}

			else if(toistot >= 4)
			{
				paluuArvo = 4;
			}

			else if(toistot < 4)
			{
				paluuArvo = 5;
			}
		}
	}

	else if(sukupuoli == "mies")
	{
		if(ika <= 19)
		{
			if(toistot >= 11)
			{
				paluuArvo = 1;
			}

			else if(toistot >= 8)
			{
				paluuArvo = 2;
			}

			else if(toistot >= 5)
			{
				paluuArvo = 3;
			}

			else if(toistot >= 3)
			{
				paluuArvo = 4;
			}

			else if(toistot < 3)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 20 && ika <= 30)
		{
			if(toistot >= 12)
			{
				paluuArvo = 1;
			}

			else if(toistot >= 9)
			{
				paluuArvo = 2;
			}

			else if(toistot >= 6)
			{
				paluuArvo = 3;
			}

			else if(toistot >= 3)
			{
				paluuArvo = 4;
			}

			else if(toistot < 3)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 31 && ika <= 40)
		{
			if(toistot >= 14)
			{
				paluuArvo = 1;
			}

			else if(toistot >= 10)
			{
				paluuArvo = 2;
			}

			else if(toistot >= 6)
			{
				paluuArvo = 3;
			}

			else if(toistot >= 3)
			{
				paluuArvo = 4;
			}

			else if(toistot < 3)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 41 && ika <= 50)
		{
			if(toistot >= 16)
			{
				paluuArvo = 1;
			}

			else if(toistot >= 12)
			{
				paluuArvo = 2;
			}

			else if(toistot >= 7)
			{
				paluuArvo = 3;
			}

			else if(toistot >= 3)
			{
				paluuArvo = 4;
			}

			else if(toistot < 3)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 50)
		{
			if(toistot >= 20)
			{
				paluuArvo = 1;
			}

			else if(toistot >= 13)
			{
				paluuArvo = 2;
			}

			else if(toistot >= 8)
			{
				paluuArvo = 3;
			}

			else if(toistot >= 4)
			{
				paluuArvo = 4;
			}

			else if(toistot < 4)
			{
				paluuArvo = 5;
			}
		}
	}

	return paluuArvo;
}

function dynaaminenVatsalihastesti(ika, sukupuoli, toistot)
{
	var paluuArvo = 0;

	if(sukupuoli == "nainen")
	{
		if(ika <= 24)
		{
			if(toistot <= 5)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 8)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 11)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 14)
			{
				paluuArvo = 4;
			}

			else if(toistot > 14)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 25 && ika <= 29)
		{
			if(toistot <= 5)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 8)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 11)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 14)
			{
				paluuArvo = 4;
			}

			else if(toistot > 14)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 30 && ika <= 34)
		{
			if(toistot <= 4)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 7)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 10)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 13)
			{
				paluuArvo = 4;
			}

			else if(toistot > 13)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 35 && ika <= 39)
		{
			if(toistot <= 3)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 6)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 9)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 12)
			{
				paluuArvo = 4;
			}

			else if(toistot > 12)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 40 && ika <= 44)
		{
			if(toistot <= 2)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 5)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 8)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 11)
			{
				paluuArvo = 4;
			}

			else if(toistot > 11)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 45 && ika <= 49)
		{
			if(toistot <= 1)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 4)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 7)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 10)
			{
				paluuArvo = 4;
			}

			else if(toistot > 10)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 50 && ika <= 54)
		{
			if(toistot <= 1)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 3)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 5)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 8)
			{
				paluuArvo = 4;
			}

			else if(toistot > 8)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 55 && ika <= 59)
		{
			if(toistot <= 1)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 2)
			{
				paluuArvo = 3;
			}


			else if(toistot <= 5)
			{
				paluuArvo = 4;
			}

			else if(toistot > 5)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 60)
		{
			if(toistot <= 1)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 3)
			{
				paluuArvo = 4;
			}

			else if(toistot > 3)
			{
				paluuArvo = 5;
			}
		}
	}

	else if(sukupuoli == "mies")
	{
		if(ika <= 24)
		{
			if(toistot <= 9)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 14)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 16)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 18)
			{
				paluuArvo = 4;
			}

			else if(toistot > 18)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 25 && ika <= 29)
		{
			if(toistot <= 9)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 14)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 16)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 18)
			{
				paluuArvo = 4;
			}

			else if(toistot > 18)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 30 && ika <= 34)
		{
			if(toistot <= 8)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 12)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 14)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 17)
			{
				paluuArvo = 4;
			}

			else if(toistot > 17)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 35 && ika <= 39)
		{
			if(toistot <= 6)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 10)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 12)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 16)
			{
				paluuArvo = 4;
			}

			else if(toistot > 16)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 40 && ika <= 44)
		{
			if(toistot <= 5)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 9)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 11)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 15)
			{
				paluuArvo = 4;
			}

			else if(toistot > 15)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 45 && ika <= 49)
		{
			if(toistot <= 4)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 8)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 10)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 14)
			{
				paluuArvo = 4;
			}

			else if(toistot > 14)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 50 && ika <= 54)
		{
			if(toistot <= 3)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 6)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 9)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 12)
			{
				paluuArvo = 4;
			}

			else if(toistot > 12)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 55 && ika <= 59)
		{
			if(toistot <= 2)
			{
				paluuArvo = 1;
			}
			else if(toistot <= 4)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 7)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 11)
			{
				paluuArvo = 4;
			}

			else if(toistot > 11)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 60)
		{
			if(toistot <= 1)
			{
				paluuArvo = 1;
			}
			else if(toistot <= 3)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 5)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 9)
			{
				paluuArvo = 4;
			}

			else if(toistot > 9)
			{
				paluuArvo = 5;
			}
		}
	}

	return paluuArvo;
}

function dynaaminenSelkalihastesti(ika, sukupuoli, toistot)
{
	var paluuArvo = 0;

	if(sukupuoli == "nainen")
	{
		if(ika <= 19)
		{
			if(toistot <= 20)
			{
				paluuArvo = 1;
			}

			else if(toistot <=24)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 30)
			{
				paluuArvo = 4;
			}

			else if(toistot > 30)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 20 && ika <=24)
		{
			if(toistot <= 20)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 24)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 30)
			{
				paluuArvo = 4;
			}

			else if(toistot > 30)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 25 && ika <= 29)
		{
			if(toistot <= 19)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 23)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 26)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 29)
			{
				paluuArvo = 4;
			}

			else if(toistot > 29)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 30 && ika <=34)
		{
			if(toistot <= 18)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 22)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 25)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 28)
			{
				paluuArvo = 4;
			}

			else if(toistot > 28)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 35 && ika <= 39)
		{
			if(toistot <= 17)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 21)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 24)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 4;
			}

			else if(toistot > 27)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 40 && ika <= 44)
		{
			if(toistot <= 16)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 20)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 23)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 26)
			{
				paluuArvo = 4;
			}

			else if(toistot > 26)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 45 && ika <= 49)
		{
			if(toistot <= 15)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 19)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 22)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 25)
			{
				paluuArvo = 4;
			}

			else if(toistot > 25)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 50 && ika <= 54)
		{
			if(toistot <= 12)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 14)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 18)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 23)
			{
				paluuArvo = 4;
			}

			else if(toistot > 23)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 55 && ika <= 59)
		{
			if(toistot <= 11)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 13)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 16)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 20)
			{
				paluuArvo = 4;
			}

			else if(toistot > 20)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 60)
		{
			if(toistot <= 9)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 12)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 15)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 18)
			{
				paluuArvo = 4;
			}

			else if(toistot > 18)
			{
				paluuArvo = 5;
			}
		}
	}

	else if(sukupuoli == "mies")
	{
		if(ika <= 19)
		{
			if(toistot <= 20)
			{
				paluuArvo = 1;
			}

			else if(toistot <=23)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 31)
			{
				paluuArvo = 4;
			}

			else if(toistot > 31)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 20 && ika <=24)
		{
			if(toistot <= 20)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 23)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 31)
			{
				paluuArvo = 4;
			}

			else if(toistot > 31)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 25 && ika <= 29)
		{
			if(toistot <= 20)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 23)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 31)
			{
				paluuArvo = 4;
			}

			else if(toistot > 31)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 30 && ika <=34)
		{
			if(toistot <= 19)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 22)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 30)
			{
				paluuArvo = 4;
			}

			else if(toistot > 30)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 35 && ika <= 39)
		{
			if(toistot <= 18)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 21)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 25)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 29)
			{
				paluuArvo = 4;
			}

			else if(toistot > 29)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 40 && ika <= 44)
		{
			if(toistot <= 16)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 19)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 23)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 28)
			{
				paluuArvo = 4;
			}

			else if(toistot > 28)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 45 && ika <= 49)
		{
			if(toistot <= 15)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 18)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 21)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 25)
			{
				paluuArvo = 4;
			}

			else if(toistot > 25)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 50 && ika <= 54)
		{
			if(toistot <= 14)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 17)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 20)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 24)
			{
				paluuArvo = 4;
			}

			else if(toistot > 24)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 55 && ika <= 59)
		{
			if(toistot <= 13)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 16)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 19)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 23)
			{
				paluuArvo = 4;
			}

			else if(toistot > 23)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 60)
		{
			if(toistot <= 11)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 14)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 17)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 20)
			{
				paluuArvo = 4;
			}

			else if(toistot > 20)
			{
				paluuArvo = 5;
			}
		}
	}

	return paluuArvo;
}



function toistokyykistysTesti(ika, sukupuoli, toistot)
{
	var paluuArvo = 0;

	if(sukupuoli == "nainen")
	{
		if(ika <= 19)
		{
			if(toistot <= 20)
			{
				paluuArvo = 1;
			}

			else if(toistot <=24)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 30)
			{
				paluuArvo = 4;
			}

			else if(toistot > 30)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 20 && ika <=29)
		{
			if(toistot <= 19)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 23)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 26)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 29)
			{
				paluuArvo = 4;
			}

			else if(toistot > 29)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 30 && ika <=39)
		{
			if(toistot <= 16)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 20)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 24)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 26)
			{
				paluuArvo = 4;
			}

			else if(toistot > 26)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 40 && ika <= 49)
		{
			if(toistot <= 15)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 18)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 22)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 4;
			}

			else if(toistot > 27)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 50 && ika <= 59)
		{
			if(toistot <= 13)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 16)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 19)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 24)
			{
				paluuArvo = 4;
			}

			else if(toistot > 24)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 60 && ika <= 65)
		{
			if(toistot <= 9)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 13)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 17)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 21)
			{
				paluuArvo = 4;
			}

			else if(toistot > 21)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 66)
		{
			if(toistot <= 9)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 13)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 17)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 21)
			{
				paluuArvo = 4;
			}

			else if(toistot > 21)
			{
				paluuArvo = 5;
			}
		}
	}

	else if(sukupuoli == "mies")
	{
		if(ika <= 19)
		{
			if(toistot <= 20)
			{
				paluuArvo = 1;
			}

			else if(toistot <=25)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 29)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 32)
			{
				paluuArvo = 4;
			}

			else if(toistot > 32)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 20 && ika <=29)
		{
			if(toistot <= 20)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 25)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 29)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 32)
			{
				paluuArvo = 4;
			}

			else if(toistot > 32)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 30 && ika <=39)
		{
			if(toistot <= 19)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 22)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 25)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 29)
			{
				paluuArvo = 4;
			}

			else if(toistot > 29)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 40 && ika <= 49)
		{
			if(toistot <= 17)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 21)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 25)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 28)
			{
				paluuArvo = 4;
			}

			else if(toistot > 28)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 50 && ika <= 59)
		{
			if(toistot <= 15)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 18)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 22)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 4;
			}

			else if(toistot > 27)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 60 && ika <= 65)
		{
			if(toistot <= 13)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 16)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 19)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 23)
			{
				paluuArvo = 4;
			}

			else if(toistot > 23)
			{
				paluuArvo = 5;
			}
		}
		if(ika >= 66)
		{
			if(toistot <= 9)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 13)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 17)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 21)
			{
				paluuArvo = 4;
			}

			else if(toistot > 21)
			{
				paluuArvo = 5;
			}
		}
	}

	return paluuArvo;
}


function ylaraajojenToistotesti(ika, sukupuoli, toistot)
{
	var paluuArvo = 0;

	if(sukupuoli == "nainen")
	{
		if(ika <= 19)
		{
			if(toistot <= 13)
			{
				paluuArvo = 1;
			}

			else if(toistot <=23)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 32)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 39)
			{
				paluuArvo = 4;
			}

			else if(toistot > 39)
			{
				paluuArvo = 5;
			}
		}

		else if(ika >= 20 && ika <=24)
		{
			if(toistot <= 16)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 36)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 44)
			{
				paluuArvo = 4;
			}

			else if(toistot > 44)
			{
				paluuArvo = 5;
			}
		}

		else if(ika >= 25 && ika <= 29)
		{
			if(toistot <= 18)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 26)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 37)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 44)
			{
				paluuArvo = 4;
			}

			else if(toistot > 44)
			{
				paluuArvo = 5;
			}
		}

		else if(ika >= 30 && ika <= 34)
		{
			if(toistot <= 16)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 24)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 29)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 36)
			{
				paluuArvo = 4;
			}

			else if(toistot > 36)
			{
				paluuArvo = 5;
			}
		}

		else if(ika >= 35 && ika <=40)
		{
			if(toistot <= 15)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 21)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 28)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 34)
			{
				paluuArvo = 4;
			}

			else if(toistot > 34)
			{
				paluuArvo = 5;
			}
		}
		else if(ika >= 41 && ika <=45)
		{
			if(toistot <= 14)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 18)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 25)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 31)
			{
				paluuArvo = 4;
			}

			else if(toistot > 31)
			{
				paluuArvo = 5;
			}
		}
		else if(ika >= 46 && ika <=50)
		{
			if(toistot <= 12)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 16)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 23)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 27)
			{
				paluuArvo = 4;
			}

			else if(toistot > 27)
			{
				paluuArvo = 5;
			}
		}
		else if(ika >= 51 && ika <=55)
		{
			if(toistot <= 7)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 13)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 20)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 26)
			{
				paluuArvo = 4;
			}

			else if(toistot > 26)
			{
				paluuArvo = 5;
			}
		}
		else if(ika >= 56)
		{
			if(toistot <= 7)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 13)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 20)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 26)
			{
				paluuArvo = 4;
			}

			else if(toistot > 26)
			{
				paluuArvo = 5;
			}
		}
	}

	else if(sukupuoli == "mies")
	{
		if(ika <= 35)
		{
			if(toistot <= 10)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 16)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 20)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 25)
			{
				paluuArvo = 4;
			}

			else if(toistot > 25)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 35 && ika <=40)
		{
			if(toistot <= 10)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 16)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 20)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 25)
			{
				paluuArvo = 4;
			}

			else if(toistot > 25)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 41 && ika <=45)
		{
			if(toistot <= 9)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 15)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 19)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 24)
			{
				paluuArvo = 4;
			}

			else if(toistot > 24)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 46 && ika <= 50)
		{
			if(toistot <= 8)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 13)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 18)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 23)
			{
				paluuArvo = 4;
			}

			else if(toistot > 23)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 51 && ika <=55)
		{
			if(toistot <= 7)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 12)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 17)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 22)
			{
				paluuArvo = 4;
			}

			else if(toistot > 22)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 56)
		{
			if(toistot <= 7)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 12)
			{
				paluuArvo = 2;
			}

			else if(toistot  <= 17)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 22)
			{
				paluuArvo = 4;
			}

			else if(toistot > 22)
			{
				paluuArvo = 5;
			}
		}
	}

	return paluuArvo;
}


function staattinenVatsalihastesti(ika, sukupuoli, toistot)
{
	var paluuArvo = 0;


		if(ika <= 19)
		{
			if(toistot <= 120)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 169)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 213)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 264)
			{
				paluuArvo = 4;
			}

			else if(toistot > 264)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 20 && ika <=30)
		{
			if(toistot <= 125)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 179)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 262)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 283)
			{
				paluuArvo = 4;
			}

			else if(toistot > 283)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 31 && ika <= 40)
		{
			if(toistot <= 125)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 169)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 199)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 239)
			{
				paluuArvo = 4;
			}

			else if(toistot > 239)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 41 && ika <= 50)
		{
			if(toistot <= 100)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 120)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 149)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 199)
			{
				paluuArvo = 4;
			}

			else if(toistot > 199)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 51 && ika <= 60)
		{
			if(toistot <= 80)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 110)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 148)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 179)
			{
				paluuArvo = 4;
			}

			else if(toistot > 179)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 61)
		{
			if(toistot <= 70)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 80)
			{
				paluuArvo = 2;
			}

			else if(toistot  <= 109)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 139)
			{
				paluuArvo = 4;
			}

			else if(toistot > 139)
			{
				paluuArvo = 5;
			}
		}


	return paluuArvo;
}

function staattinenSelkalihastesti(ika, sukupuoli, toistot)
{
	var paluuArvo = 0;
	
		if(ika <= 19)
		{
			if(toistot <= 76)
			{
				paluuArvo = 1;
			}

			else if(toistot <=102)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 126)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 151)
			{
				paluuArvo = 4;
			}

			else if(toistot > 151)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 20 && ika <=30)
		{
			if(toistot <= 85)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 109)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 135)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 165)
			{
				paluuArvo = 4;
			}

			else if(toistot > 165)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 31 && ika <=40)
		{
			if(toistot <= 77)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 104)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 131)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 159)
			{
				paluuArvo = 4;
			}

			else if(toistot > 159)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 41 && ika <= 50)
		{
			if(toistot <= 71)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 98)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 125)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 152)
			{
				paluuArvo = 4;
			}

			else if(toistot > 152)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 51 && ika <= 60)
		{
			if(toistot <= 61)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 89)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 115)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 139)
			{
				paluuArvo = 4;
			}

			else if(toistot > 139)
			{
				paluuArvo = 5;
			}
		}

		if(ika >= 61)
		{
			if(toistot <= 61)
			{
				paluuArvo = 1;
			}

			else if(toistot <= 89)
			{
				paluuArvo = 2;
			}

			else if(toistot <= 115)
			{
				paluuArvo = 3;
			}

			else if(toistot <= 139)
			{
				paluuArvo = 4;
			}

			else if(toistot > 139)
			{
				paluuArvo = 5;
			}
		}
	


	return paluuArvo;
}

function palautaTasapainoTeksti(tyyppi, arvo1, arvo2) 
{

	var arvo = Math.round((arvo1 + arvo2) / 2);
	console.log(arvo);
	var paluuArvo = "";

	if (arvo == 0 ||arvo == 1) {


		if (tyyppi == "monikko") {
			paluuArvo = "selvästi keskimääräistä heikommat";
		}
		else {
			paluuArvo ="selvästi keskimääräistä heikompi";
		}
	}
	else if (arvo == 2) {
		if (tyyppi == "monikko") {
			paluuArvo = "jonkin verran keskimääräistä heikommat";
		}
		else {
			paluuArvo = "jonkin verran keskimääräistä heikompi";
		}
	}
	else if (arvo == 3) {
		if (tyyppi == "monikko") {
			paluuArvo = "keskimääräiset";
		}
		else {
			paluuArvo = "keskimääräinen";
		}
	}
	else if (arvo == 4) {
		if (tyyppi == "monikko") {
			paluuArvo = "jonkin verran keskimääräistä paremmat";
		}
		else {
			paluuArvo = "jonkin verran keskimääräistä parempi";
		}
	}
	else if (arvo == 5) {
		if (tyyppi == "monikko") {
			paluuArvo = "selvästi keskimääräistä paremmat";
		}
		else {
			paluuArvo = "selvästi keskimääräistä parempi";
		}
	}
	return paluuArvo;
}
function vertaaTasapainoArvo(tyyppi, arvo1, arvo2) {
	var arvo  = arvo1 - arvo2;
	console.log(arvo);

	if (arvo == 0) {
		if (tyyppi == "monikko") {
			paluuArvo = "yhtä vahvat";
		}
		else {
			paluuArvo = "yhtä vahva";
		}
	}
	else if (arvo == 1) {
		if (tyyppi == "monikko") {
			paluuArvo = "jonkin verran vahvemmat";
		}
		else {
			paluuArvo = "jonkin verran vahvempi";
		}
	}
	else if (arvo > 1) {
		if (tyyppi == "monikko") {
			paluuArvo = "selvästi vahvemmat";
		}
		else {
			paluuArvo = "selvästi vahvempi";
		}
	}
	else if (arvo == -1) {
		if (tyyppi == "monikko") {
			paluuArvo = "jonkin verran heikommat";
		}
		else {
			paluuArvo = "jonkin verran heikompi";
		}
	}
	else if (arvo < -1) {
		if (tyyppi == "monikko") {
			paluuArvo = "selvästi heikommat";
		}
		else {
			paluuArvo = "selvästi heikompi";
		}
	}
	return paluuArvo;

} 
function bmi_luokitus(bmi) {
	var paluuArvo = "";
	if (bmi < 18.5) {
		paluuArvo = "alipaino";
	}
	else if (bmi >= 18.5 && bmi <= 24.9) {
		paluuArvo = "normaalipaino";
	}
	else if (bmi > 24.9 && bmi <= 29.9) {
		paluuArvo = "lievä lihavuus";
	}
	else if (bmi > 29.9 && bmi <= 34.9) {
		paluuArvo = "merkittävä lihavuus";
	}
	else if (bmi > 34.9 && bmi <= 39.9) {
		paluuArvo = "vaikea lihavuus";
	}
	else if (bmi > 39.9) {
		paluuArvo = "sairaalloinen lihavuus";
	}
	return paluuArvo;
}